Package io.papermc.paper.event.player

# Class AsyncChatCommandDecorateEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.server.ServerEvent
io.papermc.paper.event.player.AsyncChatDecorateEvent
io.papermc.paper.event.player.AsyncChatCommandDecorateEvent

All Implemented Interfaces:
  `Cancellable`

@Experimental public class AsyncChatCommandDecorateEvent extends AsyncChatDecorateEvent

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`AsyncChatCommandDecorateEvent(boolean async, @Nullable Player player, @NotNull Component originalMessage, @NotNull Component result)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class io.papermc.paper.event.player.AsyncChatDecorateEvent

`isCancelled, isPreview, originalMessage, player, result, result, setCancelled`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncChatCommandDecorateEvent

@Internal public AsyncChatCommandDecorateEvent(boolean async, @Nullable @Nullable Player player, @NotNull @NotNull Component originalMessage, @NotNull @NotNull Component result)

## Method Details

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Overrides:
  `getHandlers` in class `AsyncChatDecorateEvent`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()